> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List audit evidence

> Returns a paginated list of evidence for an audit.

Rate limit: 250 requests / minute.



## OpenAPI

````yaml https://spec.speakeasy.com/vanta/vanta/conduct-an-audit-with-code-samples get /audits/{auditId}/evidence
openapi: 3.0.0
info:
  title: Conduct an audit
  version: 1.0.0
  description: >-
    The Auditor API lets audit firms conduct audits from a tool outside of
    Vanta. Unlock data syncing with Vanta through this API.


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /audits/{auditId}/evidence:
    get:
      tags:
        - Audits
      summary: List audit evidence
      description: |-
        Returns a paginated list of evidence for an audit.

        Rate limit: 250 requests / minute.
      operationId: ListAuditEvidence
      parameters:
        - in: path
          name: auditId
          required: true
          schema:
            type: string
        - in: query
          name: pageSize
          required: false
          schema:
            $ref: '#/components/schemas/PageSize'
        - in: query
          name: pageCursor
          required: false
          schema:
            $ref: '#/components/schemas/PageCursor'
        - description: >-
            Includes all audit evidence that have changed since
            changedSinceDate.
          in: query
          name: changedSinceDate
          required: false
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_Evidence_'
              examples:
                Example 1:
                  value:
                    results:
                      data:
                        - id: 65fc81a3359c8508c9af880f
                          externalId: cG9saWN5OmFjY2Vzcy1jb250cm9sLXBvbGljeQo=
                          status: Ready for audit
                          statusUpdatedDate: '2024-03-07T21:25:56.000Z'
                          name: Access Control Policy
                          deletionDate: '2024-03-07T21:25:56.000Z'
                          creationDate: '2024-03-07T21:25:56.000Z'
                          testStatus: The test was passing during this period
                          evidenceType: Policy
                          evidenceId: access-control-policy
                          relatedControls:
                            - name: CRY-104
                              sectionNames:
                                - Article 13
                          description: example description of test
                      pageInfo:
                        hasNextPage: false
                        hasPreviousPage: false
                        startCursor: YXJyYXljb25uZWN0aW9uOjA=
                        endCursor: YXJyYXljb25uZWN0aW9uOjE=
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: typescript
          label: ListAuditEvidence
          source: |-
            import { Vanta } from "vanta-auditor-api-sdk";

            const vanta = new Vanta({
              bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
            });

            async function run() {
              const result = await vanta.audits.listEvidence({
                auditId: "<id>",
              });

              console.log(result);
            }

            run();
        - lang: java
          label: ListAuditEvidence
          source: >-
            package hello.world;


            import com.vanta.vanta_auditor_api.Vanta;

            import
            com.vanta.vanta_auditor_api.models.operations.ListAuditEvidenceResponse;

            import java.lang.Exception;


            public class Application {

                public static void main(String[] args) throws Exception {

                    Vanta sdk = Vanta.builder()
                            .bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
                        .build();

                    ListAuditEvidenceResponse res = sdk.audits().listEvidence()
                            .auditId("<id>")
                            .pageSize(10)
                            .call();

                    if (res.paginatedResponseEvidence().isPresent()) {
                        System.out.println(res.paginatedResponseEvidence().get());
                    }
                }
            }
components:
  schemas:
    PageSize:
      type: integer
      format: int32
      default: 10
      description: >-
        Controls the maximum number of items returned in one response from the
        API.
      minimum: 1
      maximum: 100
    PageCursor:
      type: string
      description: >-
        A marker or pointer, telling the API where to start fetching items for
        the subsequent page in a paginated dataset.

        Note that the requested page will not include the item that corresponds
        to this cursor but will start from the one immediately

        after this cursor.
    PaginatedResponse_Evidence_:
      properties:
        results:
          properties:
            data:
              items:
                $ref: '#/components/schemas/Evidence'
              type: array
            pageInfo:
              $ref: '#/components/schemas/PageInfo'
          required:
            - data
            - pageInfo
          type: object
      required:
        - results
      type: object
      additionalProperties: false
    Evidence:
      properties:
        id:
          type: string
          description: Vanta internal reference to evidence
        externalId:
          type: string
          description: This is a static UUID to map Audit Firm controls to Vanta controls
        status:
          $ref: '#/components/schemas/AuditEvidenceState'
          description: Vanta internal statuses for audit evidence
        name:
          type: string
          description: Mutable name for evidence. Not guaranteed to be unique.
        deletionDate:
          type: string
          format: date-time
          nullable: true
          description: The date this Audit Evidence was deleted
        creationDate:
          type: string
          format: date-time
          description: The date this Audit Evidence was created
        statusUpdatedDate:
          type: string
          format: date-time
          description: Point in time that status was last updated
        testStatus:
          type: string
          nullable: true
          description: The outcome of the automated test run, for Test-type evidence
        evidenceType:
          $ref: '#/components/schemas/AuditEvidenceType'
          description: The type of Audit Evidence
        evidenceId:
          type: string
          description: Unique identifier for evidence
        relatedControls:
          items:
            $ref: '#/components/schemas/EvidenceControl'
          type: array
          description: The controls associated to this evidence
        description:
          type: string
          nullable: true
          description: >-
            The description for the evidence. It will be set to null if the
            evidence is deleted
      required:
        - id
        - externalId
        - status
        - name
        - deletionDate
        - creationDate
        - statusUpdatedDate
        - testStatus
        - evidenceType
        - evidenceId
        - relatedControls
        - description
      type: object
      additionalProperties: false
    PageInfo:
      description: Provides information about the pagination of a dataset.
      properties:
        endCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the end of the current page, or null if
            there is no such cursor.
        hasNextPage:
          type: boolean
          description: Indicates if there is another page after the current page.
        hasPreviousPage:
          type: boolean
          description: Indicates if there is a page before the current page.
        startCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the start of the current page, or null if
            there is no such cursor.
      required:
        - endCursor
        - hasNextPage
        - hasPreviousPage
        - startCursor
      type: object
      additionalProperties: false
    AuditEvidenceState:
      type: string
      enum:
        - Accepted
        - Flagged
        - Initialized
        - NA
        - Not ready for audit
        - Ready for audit
    AuditEvidenceType:
      type: string
      enum:
        - Evidence Request
        - Policy
        - Test
    EvidenceControl:
      properties:
        name:
          type: string
          description: Name of control associated to this evidence
        sectionNames:
          items:
            type: string
          type: array
          description: A list sections associated to the control
      required:
        - name
        - sectionNames
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````